For the complete documentation index, see llms.txt. This page is also available as Markdown.

Upload Base64 ZIP Ledger

Zip halindeki base64string defter yükler.

post
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
TaxNumberstringRequired
Body
FileNamestring · nullableOptional
ZIPFileBase64string · nullableOptional
Responses
200

Zip halindeki base64string defter yükler.

booleanOptional
post/Ledgers/Base64String/{TaxNumber}
POST /Ledgers/Base64String/{TaxNumber} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 42

{
  "FileName": "text",
  "ZIPFileBase64": "text"
}
true
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/estorage/Ledgers/Base64String/11111111111", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer APIKEY");
var body = @"{
"FileName": "string",
"ZIPFileBase64": "string"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/estorage/Ledgers/Base64String/11111111111',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "FileName": "string",
  "ZIPFileBase64": "string"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: Bearer APIKEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated